Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.types
Class UnsignedIntegerFourBytesDatatype

    java.lang.Object
      org.teleal.cling.model.types.AbstractDatatype<UnsignedIntegerFourBytes>
          org.teleal.cling.model.types.UnsignedIntegerFourBytesDatatype

All Implemented Interfaces:
  Datatype<UnsignedIntegerFourBytes>

    public class UnsignedIntegerFourBytesDatatype

extends AbstractDatatype<UnsignedIntegerFourBytes>

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from interface org.teleal.cling.model.types.Datatype
`Datatype.Builtin, Datatype.Default`

Constructor Summary
`UnsignedIntegerFourBytesDatatype()`

Method Summary
`UnsignedIntegerFourBytes` | `valueOf(String s)` Transforms a string representation into a value of the supported type.

Methods inherited from class org.teleal.cling.model.types.AbstractDatatype
`getBuiltin, getDisplayString, getString, getValueType, isValid, setBuiltin, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsignedIntegerFourBytesDatatype

    public UnsignedIntegerFourBytesDatatype()

Method Detail

### valueOf

    public UnsignedIntegerFourBytes valueOf(String s)
                                     throws InvalidValueException

  Description copied from interface: `Datatype`
  Transforms a string representation into a value of the supported type.

  Parameters:
    `s` - The string representation of a value.
  Returns:
    The converted value or `null` if the string was `null` or empty.
  Throws:
    `InvalidValueException` - If the string couldn't be parsed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.